# (un)define the next line to either build for the newest or all current kernels
%define buildforkernels newest
%define repo rpmfusion

Name:           viafb-kmod
Version:        2.6.04
Release:        5%{?dist}
Summary:        The console framebuffer driver for VIA graphics

Group:          System Environment/Kernel
License:        GPLv2
URL:            http://linux.via.com.tw
Source0:        viafb-2604-2.6.25-rc6-v16.tar.gz
Source11:       viafb-kmodtool-excludekernel-filterfile
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  i586 i686 x86_64

# get the needed BuildRequires (in parts depending on what we build for)
BuildRequires:  %{_bindir}/kmodtool
%{!?kernels:BuildRequires: buildsys-build-%{repo}-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }
# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo %{repo} --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }

# Taken over by kmodtool
%description
The console framebuffer driver is for Graphics chips of VIA UniChrome/Chrome 9
HC Family (CLE266, KM400, KN400, KM800, KN800, PM800, PN800, P4M890, P4M900,
CN400, CN700, CN800, CX700M/M2, CN896, VN800, VN896 and VX700M/M2).

The viafb %{version} console framebuffer kernel module for kernel %{kversion}.


%prep
# error out if there was something wrong with kmodtool
%{?kmodtool_check}
# print kmodtool output for debugging purposes:
kmodtool  --target %{_target_cpu}  --repo %{repo} --kmodname %{name} --filterfile %{SOURCE11} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null

%setup -q -c -T -a 0
for kernel_version in %{kernel_versions}; do
    cp -a via _kmod_build_${kernel_version%%___*}
done


%build
for kernel_version in %{kernel_versions}; do
    pushd _kmod_build_${kernel_version%%___*}
    make -C "${kernel_version##*___}" SUBDIRS=`pwd` modules \
      	CONFIG_FB_VIA=m
    popd
done


%install
rm -rf $RPM_BUILD_ROOT
for kernel_version in %{kernel_versions}; do
    install -D -m 0644 _kmod_build_${kernel_version%%___*}/viafb.ko $RPM_BUILD_ROOT%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}/viafb.ko
done
chmod u+x $RPM_BUILD_ROOT%{kmodinstdir_prefix}/*/%{kmodinstdir_postfix}/*


%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Wed Aug 13 2008 kwizart < kwizart at gmail.com > - 2.6.04-5
- Build for newest

* Mon Jul 28 2008 kwizart < kwizart at gmail.com > - 2.6.04-4
- Build for newest

* Tue Jul 15 2008 kwizart < kwizart at gmail.com > - 2.6.04-3
- Build for newest

* Thu Jul  3 2008 kwizart < kwizart at gmail.com > - 2.6.04-2
- Build for current

* Sat Jun 21 2008 kwizart < kwizart at gmail.com > - 2.6.04-1
- Update to viafb-2604-2.6.25-rc6-v16.tar.gz

* Sat Jun  7 2008 kwizart < kwizart at gmail.com > - 2.6.00.03a-6
- Bump for new kernels

* Fri May 16 2008 kwizart < kwizart at gmail.com > - 2.6.00.03a-5
- Bump for new kernels

* Wed Apr 30 2008 kwizart < kwizart at gmail.com > - 2.6.00.03a-4
- Bump for new kernels

* Mon Mar 31 2008 kwizart < kwizart at gmail.com > - 2.6.00.03a-3
- Bump for new kernels

* Mon Mar 17 2008 kwizart < kwizart at gmail.com > - 2.6.00.03a-2
- Bump for new kernels

* Sun Feb 24 2008 kwizart < kwizart at gmail.com > - 2.6.00.03a-1
- Initial package.

